SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Wireless 802.11 (Generic) Vendors:   NETGEAR
Netgear MA521 Wireless Adapter Invalid 'Supported Rates' Value Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1017254
SecurityTracker URL:  http://securitytracker.com/id/1017254
CVE Reference:   CVE-2006-6059   (Links to External Site)
Updated:  May 27 2008
Original Entry Date:  Nov 20 2006
Impact:   Execution of arbitrary code via network, Root access via network
Exploit Included:  Yes  
Version(s): MA521nd5.SYS driver version 5.148.724.2003
Description:   A vulnerability was reported in the Netgear MA521 wireless adapter. A remote user can execute arbitrary code on the target system.

A remote user on the wireless network can send a specially crafted beacon or probe response to trigger a memory error in the MA521nd5.SYS driver. Arbitrary code can be executed on the target system with kernel-level privileges.

An invalid 'Supported Rates' value can trigger this flaw.

Laurent Butti discovered this vulnerability.

A demonstration exploit is available at:

http://metasploit.com/svn/framework3/trunk/modules/auxiliary/dos/wireless/netgear_ma521_rates.rb

The original advisory is available at:

http://projects.info-pull.com/mokb/MOKB-18-11-2006.html

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.netgear.com/ (Links to External Site)
Cause:   Access control error, Boundary error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC